Page 1 of 1

Linux Mint 19 breaks Dracut

Posted: Thu Jul 12, 2018 9:50 am
by DareDevil73
Hi, I am the author of the Buddy Linux project at https://github.com/antonio-petricca/buddy-linux.

After upgrading to LM19 it no more installs (by Dracut) the additional drivers netconsole and ufsd (Paragon NTFS driver).

Supported by a member of the Dracut team, he discovered that LM19 dracut package is shipped with /etc/dracut.conf.d/10-debian.conf file which requires the missing "crc32" driver! Trying to add it initrd image, it breaks the installation of the other drivers.

The temporary solution is to edit that file and comment add_drivers+="crc32c ".

Here is the GitHub post where we have discussed the issue:
Is it possibile to fix the Dracut DEB package?

Re: Linux Mint 19 breaks Dracut

Posted: Fri Jul 13, 2018 2:41 am
by catweazel
DareDevil73 wrote:
Thu Jul 12, 2018 9:50 am
Is it possibile to fix the Dracut DEB package?
I think you'll find that dracut is upstream, specifically Ubuntu.